# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Ratchet & Clank 2 Template

game: Ratchet & Clank 2
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Ratchet & Clank 2:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  starting_weapons:
    # Randomize what two weapons you start the game with.
    # Vanilla: Start with the Lancer and Gravity Bomb.
    # Balanced: Start with two random weapons that are relatively balanced.
    # Non-Broken: Start with two random weapons besides RYNO II and Zodiac.
    # Unrestricted: Start with any two non-upgraded weapons.
    vanilla: 50
    balanced: 0
    non_broken: 0
    unrestricted: 0

  randomize_megacorp_vendor:
    # Randomize what items appear at the Megacorp vendor. New items will get added as you visit more planets.
    # When enabled, you can switch between buying items and buying ammo by pressing up/down when in the vendor.
    'false': 50
    'true': 0

  randomize_gadgetron_vendor:
    # Randomize what items appear at the Gadgetron vendor on Barlow.
    'false': 50
    'true': 0

  exclude_very_expensive_items:
    # Exclude RYNO II and Zodiac from the randomization leaving them at their vanilla locations.
    # This will only take effect if the corresponding vendors are randomized
    'false': 0
    'true': 50

  skip_wupash_nebula:
    # Skips the Wupash Nebula ship section that appears when first traveling to Maktar Nebula.
    'false': 0
    'true': 50

  enable_bolt_multiplier:
    # Enables the bolt multiplier feature without being in New Game+.
    'false': 50
    'true': 0

  no_revisit_reward_change:
    # In the vanilla game, rewards given when killing enemies change when you come back to a previously visited planet
    # (bolts & experience). Enabling this option removes this behavior, making the experience and bolts obtained more
    # stable throughout the seed.
    'false': 50
    'true': 0

  no_kill_reward_degradation:
    # In the vanilla game, rewards given by a specific enemy decrease each time you kill it (bolts & experience).
    # Enabling this option removes this behavior, making the experience and bolts obtained more stable throughout
    # the seed.
    'false': 50
    'true': 0

  free_challenge_selection:
    # Makes all hoverbike and spaceship challenges selectable right away, which means you don't have to win a
    # challenge to access the next one.
    'false': 50
    'true': 0

  nanotech_xp_multiplier:
    # A multiplier applied to experience gained for Nanotech levels, in percent.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 20
    # Maximum value is 600
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-20-600: 0 # random value between 20 and 600

  weapon_xp_multiplier:
    # A multiplier applied to experience gained for weapon levels, in percent.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 30
    # Maximum value is 600
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-30-600: 0 # random value between 30 and 600

  extra_spaceship_challenge_locations:
    # In the vanilla game, only the first challenge and the race challenge completed perfectly give an item as a
    # reward. If enabled, this option makes all spaceship challenges reward an item on first completion.
    'false': 50
    'true': 0

  extend_weapon_progression:
    # If enabled, make all weapon tiers obtainable through weapon experience. This means LV2 (orange) weapons can
    # upgrade into LV3 (yellow) weapons, which can then upgrade into LV4 (blue) weapons.
    # This effectively makes all weapons that are usually restricted to NG+ available with enough grinding.
    'false': 50
    'true': 0

  first_person_mode_glitch_in_logic:
    # Determines if logic should take first person mode glitches into account when evaluating which locations are
    # reachable. Various difficulty levels can be picked:
    # - Easy: simple climbs (e.g. getting the Platinum Bolt near Oozla scientist)
    # - Medium: harder climbs and basic lateral movement (e.g. Getting to the Notak Worker Bots without the Heli-pack nor the Thermanator)
    # - Hard: full navigation following walls (e.g. Getting to the Mutated Protopet only with the Infiltrator)
    disabled: 50
    easy: 0
    medium: 0
    hard: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
